Cover editor text disappears and reappears

Bug #469459 reported by Panagiotis Issaris on 2009-11-01
44
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Brasero
Fix Released
Medium
brasero (Ubuntu)
Low
Ubuntu Desktop Bugs
Lucid
Low
Didier Roche

Bug Description

Binary package hint: brasero

Description: Ubuntu 9.10
Release: 9.10

2.28.1-0ubuntu1

When using the cover editor for an audio CD, all tracks and a title are added to the cover template, but they are invisible (initially I thought nothing was added). Clicking on random locations makes the text on that location appear. By clicking in a regular downward pattern, you can make all text reappear. Scrolling down to the backside of the cover and back up to the frontcover, causes all text on the frontcover to disappear again.

I also tried using the cover editor for a plain data CD, and the same problem occurs. The covers for the data CD contain nothing, but adding text and scrolling down to the back cover, makes the front covers text invisible. Clicking at the location of the hidden text makes it reappear.

ProblemType: Bug
Architecture: amd64
Date: Sun Nov 1 21:51:09 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/brasero
NonfreeKernelModules: nvidia
Package: brasero 2.28.1-0ubuntu1
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: brasero
Uname: Linux 2.6.31-14-generic x86_64

Panagiotis Issaris (t4k1s) wrote :
Pedro Villavicencio (pedro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please answer these questions:
1. Is this reproducible?
2. If so, what specific steps should we take to recreate this bug? Be as detailed as possible.
This will help us to find and resolve the problem.

Changed in brasero (Ubuntu):
importance: Undecided → Low
status: New → Incomplete

Yes, this bug is reproducible. I get it on two seperate machines running Ubuntu 9.10.

Steps to reproduce:

1. Open Banshee
2. Select a few songs, right click, select "Burn CD" (or so, i have Ubuntu running in german)
3. Brasero opens now correctl< and displays the selected songs
4. Select "Tools" - "Cover Editor"
5. Now you get a mostly blank cover editor, you can only see the title "Music CD (6 Nov 09)" written upwards and downwards on the sides of the back cover.
6. Double-Click or hold the left mousebutton and select the area where the tracks should be and you'll see that the text is actually there!
6. However, this text disappears again as soon as you try to enter a letter or a insert a space. Interestingly, deleting or backspacing works, the text stays there.

Worked with Ubuntu 9.04, my g/f used it a number of times to burn CDs and print covers. Stopped working right after the upgrade to 9.10. On my machine, it does not work after a clean install of 9.10, so probably not an upgrade issue.

Kind regards,
Christian

TH (thaugseth) wrote :

It can also be reproduced when burning a normal data cd/dvd:

1) Open Brasero
2) Choose Data Project
3) Select Tools -> Cover Editor
4) Scroll down to the back, and add some text
5) Scroll up again, so that the text is "hidden" in the editor-window
6) Scroll down again, and see that the text has disappeared

The text gets visible again when you click on a text-line, or when you select text.

This happens with all the input-fields. The vertical title fields are not affected (probably because these are not input-fields), but the horizontal title field has the same problem as above.

Øyvind Stegard (oyvinst) wrote :

Confirming.. This bug is certainly not incomplete, it's very reproducible. The cover editor text disappears and re-appears seemingly at random while editing. Selecting text makes it appear always. Very buggy.

$ LANG=C apt-cache policy brasero
brasero:
  Installed: 2.28.2-0ubuntu1
  Candidate: 2.28.2-0ubuntu1
  Version table:
 *** 2.28.2-0ubuntu1 0
        500 http://no.archive.ubuntu.com karmic-updates/main Packages
        100 /var/lib/dpkg/status
     2.28.1-0ubuntu1 0
        500 http://no.archive.ubuntu.com karmic/main Packages

Øyvind Stegard (oyvinst) wrote :

This bug is caused by new GTK+ client side windows in Karmic. If brasero is run with environment variable GDK_NATIVE_WINDOWS=1 ($ GDK_NATIVE_WINDOWS=1 brasero), the cover editor works properly when editing text.

Øyvind Stegard (oyvinst) wrote :

This looks like it could be a suitable upstream bug to link to:
https://bugzilla.gnome.org/show_bug.cgi?id=590648

Changed in brasero (Ubuntu):
status: Incomplete → Triaged
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
Øyvind Stegard (oyvinst) wrote :

Still not working correctly in Ubuntu Lucid 10.04 (exactly the same problem).

$ LANG=C apt-cache policy brasero
brasero:
  Installed: 2.30.0-0ubuntu1
  Candidate: 2.30.0-0ubuntu1
  Version table:
 *** 2.30.0-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Changed in brasero:
status: Unknown → Incomplete
Changed in brasero:
status: Incomplete → Fix Released
Uqbar (uqbar) wrote :

As of brasero_2.30.0-0ubuntu1 (from proposed repository) the bug is still here.
Moreover, when trying to change the font name the size is reset to 10. When changing the size the font name is reset to the system standard.

Uqbar (uqbar) wrote :

Moreover, the tracklist is cut to fit the available room. I would expect either a font reduce or a 2-column schema.

Øyvind Stegard (oyvinst) wrote :

This bug has been fixed upstream in [currently unreleased] brasero 2.30.2. Ubuntu 10.04 currently has brasero 2.30.1, I think it should be updated in Ubuntu. The patch that fixes this specific problem is also back-portable to earlier brasero releases (according to upstream developer), including 2.30.1.

Didier Roche (didrocks) wrote :

uploaded in -proposed:

brasero (2.30.2-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release
    - Lot's of memleak fixes
    - Fixed a runtime warning related to cancelling tracker searches
    - Crash in brasero_data_project_node_removed at
      brasero-data-project.c:1163
    - brasero crashed with SIGSEGV in brasero_data_project_remove_node()
      (LP: #561319)
    - Fix a few runtime warnings with the Cover Editor
    - Text in cover editor does not show up automatically (LP: #469459)
    - Removed use of deprecated flags
    - Use accessor functions instead direct access (use GSEAL GnomeGoal)
    - Fix a bug in the layout on first start (side pane was hidden and
      remained so until the user moved it)
    - Save printer settings for cover printing
    - Write the contents of the GtkTextBuffer displayed line by displayed
      line which should improve the layout
    - "Write to Disc" button sensitivity regression
    - Fix flaw in mask that led libburn plugin not to work (not to be picked
      up actually) in some circumstances
    - Fails to burn ANY audio project
    - Move columns doesn't work (LP: #581759)
    - Brasero does not correctly handle double clicking on column separators
      (LP: #581885)
    - Bad info when burning, high CPU usage and slow burn
    - Change the priority for cdrdao and raised the one of cdda2wav plugin
    - brasero crashed with SIGSEGV in
      brasero_mmc3_get_performa nce_wrt_spd_desc() (LP: #564766)
    - brasero crashed with SIGSEGV in brasero_scsi_command_issue_sync()
      (LP: #444832)
    - Do not check for symlinks on cdda2wav so the plugin can use icedax.
    - Brasero's failure with some file names (LP: #380643)
    - Pressing create audio cd does nothing
    - Empty project not available
    - can't actually save error logs
    - doesn't handle incorrect temp dirs properly
    - Fix multi DND in GtkFileChooser
    - Displays "starting to record" during whole burn process
    - Fix wrong report of speed with both cdrecord and wodim
    - Disk project doesn't save the disk title (LP: #587924)
    - Brasero reports outdated cdrtools on cdrtools-3.00 (LP: #592075)
    - misc bug fixes
    - Updated Translations
  * Removed upstream patches:
    - debian/patches/90_git_audio_project_creation.patch,
      debian/patches/91_git_audio_project_creation.patch,
      debian/patches/92_git_audio_cd_recording.patch,
      debian/patches/93_git_new_caps_function_definition.patch
  * debian/patches/99_autoconf.patch:
    - refreshed

Test case:
- install the package from lucid-proposed and check you have 2.30.2-0ubuntu1
- try to burn a data and an audio CD and check everything is fine
- check that bugs mentioned in the above changelog are fixed too and comment on each bug report
Thanks!

Didier Roche (didrocks) on 2010-06-24
Changed in brasero (Ubuntu Lucid):
status: New → Triaged
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Low
Changed in brasero (Ubuntu):
status: Triaged → Fix Committed

Accepted brasero into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in brasero (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed
Øyvind Stegard (oyvinst) wrote :

Confirmed fixed in 2.30.2-0ubuntu1 (proposed).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 2.30.2-0ubuntu2

---------------
brasero (2.30.2-0ubuntu2) maverick; urgency=low

  * New upstream release
    - Lot's of memleak fixes
    - Fixed a runtime warning related to cancelling tracker searches
    - Crash in brasero_data_project_node_removed at
      brasero-data-project.c:1163
    - brasero crashed with SIGSEGV in brasero_data_project_remove_node()
      (LP: #561319)
    - Fix a few runtime warnings with the Cover Editor
    - Text in cover editor does not show up automatically (LP: #469459)
    - Removed use of deprecated flags
    - Use accessor functions instead direct access (use GSEAL GnomeGoal)
    - Fix a bug in the layout on first start (side pane was hidden and
      remained so until the user moved it)
    - Save printer settings for cover printing
    - Write the contents of the GtkTextBuffer displayed line by displayed
      line which should improve the layout
    - "Write to Disc" button sensitivity regression
    - Fix flaw in mask that led libburn plugin not to work (not to be picked
      up actually) in some circumstances
    - Fails to burn ANY audio project
    - Move columns doesn't work (LP: #581759)
    - Brasero does not correctly handle double clicking on column separators
      (LP: #581885)
    - Bad info when burning, high CPU usage and slow burn
    - Change the priority for cdrdao and raised the one of cdda2wav plugin
    - brasero crashed with SIGSEGV in
      brasero_mmc3_get_performa nce_wrt_spd_desc() (LP: #564766)
    - brasero crashed with SIGSEGV in brasero_scsi_command_issue_sync()
      (LP: #444832)
    - Do not check for symlinks on cdda2wav so the plugin can use icedax.
    - Brasero's failure with some file names (LP: #380643)
    - Pressing create audio cd does nothing
    - Empty project not available
    - can't actually save error logs
    - doesn't handle incorrect temp dirs properly
    - Fix multi DND in GtkFileChooser
    - Displays "starting to record" during whole burn process
    - Fix wrong report of speed with both cdrecord and wodim
    - Disk project doesn't save the disk title (LP: #587924)
    - Brasero reports outdated cdrtools on cdrtools-3.00 (LP: #592075)
    - misc bug fixes
    - Updated Translations
  * Removed upstream patches:
    - debian/patches/90_git_audio_project_creation.patch,
      debian/patches/91_git_audio_project_creation.patch,
      debian/patches/92_git_audio_cd_recording.patch,
      debian/patches/93_git_new_caps_function_definition.patch
  * debian/rules, debian/control.in:
    - use dh-autoreconf to launch autoreconf on build
 -- Didier Roche <email address hidden> Mon, 28 Jun 2010 10:33:09 +0200

Changed in brasero (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2010-06-28
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 2.30.2-0ubuntu1

---------------
brasero (2.30.2-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release
    - Lot's of memleak fixes
    - Fixed a runtime warning related to cancelling tracker searches
    - Crash in brasero_data_project_node_removed at
      brasero-data-project.c:1163
    - brasero crashed with SIGSEGV in brasero_data_project_remove_node()
      (LP: #561319)
    - Fix a few runtime warnings with the Cover Editor
    - Text in cover editor does not show up automatically (LP: #469459)
    - Removed use of deprecated flags
    - Use accessor functions instead direct access (use GSEAL GnomeGoal)
    - Fix a bug in the layout on first start (side pane was hidden and
      remained so until the user moved it)
    - Save printer settings for cover printing
    - Write the contents of the GtkTextBuffer displayed line by displayed
      line which should improve the layout
    - "Write to Disc" button sensitivity regression
    - Fix flaw in mask that led libburn plugin not to work (not to be picked
      up actually) in some circumstances
    - Fails to burn ANY audio project
    - Move columns doesn't work (LP: #581759)
    - Brasero does not correctly handle double clicking on column separators
      (LP: #581885)
    - Bad info when burning, high CPU usage and slow burn
    - Change the priority for cdrdao and raised the one of cdda2wav plugin
    - brasero crashed with SIGSEGV in
      brasero_mmc3_get_performa nce_wrt_spd_desc() (LP: #564766)
    - brasero crashed with SIGSEGV in brasero_scsi_command_issue_sync()
      (LP: #444832)
    - Do not check for symlinks on cdda2wav so the plugin can use icedax.
    - Brasero's failure with some file names (LP: #380643)
    - Pressing create audio cd does nothing
    - Empty project not available
    - can't actually save error logs
    - doesn't handle incorrect temp dirs properly
    - Fix multi DND in GtkFileChooser
    - Displays "starting to record" during whole burn process
    - Fix wrong report of speed with both cdrecord and wodim
    - Disk project doesn't save the disk title (LP: #587924)
    - Brasero reports outdated cdrtools on cdrtools-3.00 (LP: #592075)
    - misc bug fixes
    - Updated Translations
  * Removed upstream patches:
    - debian/patches/90_git_audio_project_creation.patch,
      debian/patches/91_git_audio_project_creation.patch,
      debian/patches/92_git_audio_cd_recording.patch,
      debian/patches/93_git_new_caps_function_definition.patch
  * debian/patches/99_autoconf.patch:
    - refreshed
 -- Didier Roche <email address hidden> Thu, 24 Jun 2010 11:22:46 +0200

Changed in brasero (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in brasero:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.